PGREP(1)

BEZEICHNUNG
pgrep, pkill - Prozesse finden oder ein Signal auf Basis des Namens oder anderer Attribute senden

ÜBERSICHT
pgrep [Optionen] Muster
pkill [Optionen] Muster

BESCHREIBUNG
pgrep durchsucht die gegenwärtig laufenden Prozesse und listet die Prozesskennungen (IDs), welche den Auswahlkriterien entsprechen, in der Standardausgabe auf. Übereinstimmungen sind für alle Auswahlkriterien erforderlich. Beispielsweise listet

    $ pgrep -u root sshd

nur die Prozesse auf, deren Name sshd lautet UND root gehören. Andererseits listet

    $ pgrep -u root,daemon

jene Prozesse auf, die entweder root ODER daemon gehören.

pkill sendet das angegebene Signal (per Vorgabe SIGTERM) an jeden Prozess, anstatt diese in der Standardausgabe aufzulisten.

OPTIONEN

-Signal
--signal Signal
    definiert das Signal, das an jeden passenden Prozess gesendet werden soll. Es werden entweder numerische Angaben oder der symbolische Signalname akzeptiert (nur für pkill).

-c, --count
    unterdrückt normale Ausgaben und gibt stattdessen die Anzahl der passenden Prozesse aus. Wenn keine Übereinstimmungen gefunden werden, liefert der Befehl einen von 0 verschiedenen Rückgabewert.

-d, --delimiter Trenner
    legt die in der Ausgabe als Trenner für die Prozesskennungen zu verwendende Zeichenkette fest. Vorgabe ist ein Zeilenumbruch (gilt nur für pgrep).

-f, --full
    Das Muster wird normalerweise nur auf den Prozessnamen angewendet. Wenn -f gesetzt ist, wird die vollständige Befehlszeile verwendet.

-g, --pgroup Prozessgruppe, …
    sucht nur nach passenden Prozessen, die in den Prozessgruppenkennungen aufgelistet sind. Die Prozessgruppe 0 wird in die eigene Prozessgruppe von pgrep oder pkill übersetzt.

-G, --group Gruppenkennung, …
    berücksichtigt nur Prozesse, deren reale Gruppenkennung aufgelistet ist. Hier kann entweder der numerische oder der symbolische Wert verwendet werden.

-i, --ignore-case
    sucht nach Prozessen, ohne Groß- oder Kleinschreibung zu berücksichtigen.

-l, --list-name
    listet sowohl den Prozessnamen als auch die Prozesskennung auf (nur für pgrep).

-a, --list-full
    listet sowohl die vollständige Befehlszeile als auch die Prozesskennung auf (nur für pgrep).

-n, --newest
    wählt nur den neuesten (zuletzt gestarteten) aus den passenden Prozessen aus.

-o, --oldest
    wählt nur den ältesten (zuerst gestarteten) aus den passenden Prozessen aus.

-P, --parent Eltern-Prozesskennung, …
    sucht nur nach Prozessen, von denen die Kennung des übergeordneten Prozesses aufgelistet ist.

-s, --session Sitzungskennung, …
    sucht nur nach passenden Prozessen, die in den Prozess-Sitzungskennungen aufgelistet ist. Die Sitzungskennung 0 wird in die eigene Prozessgruppe von pgrep oder pkill übersetzt.

-t, --terminal Terminal, …
    sucht nur nach passenden Prozessen, deren steuerndes Terminal aufgelistet ist. Der Terminalname sollte ohne das Präfix »dev« angegeben werden.

-u, --euid effektive_Benutzerkennung, …
    sucht nur nach passenden Prozessen, deren effektive Benutzerkennung aufgelistet ist. Sie können entweder numerische oder symbolische Werte verwenden.

-U, --uid Benutzerkennung, …
    sucht nur nach passenden Prozessen, deren reale Benutzerkennung aufgelistet ist. Sie können entweder numerische oder symbolische Werte verwenden.

-v, --inverse
    negiert die Anwendung der Suchkriterien. Diese Option wird üblicherweise mit pgrep verwendet. In pkill ist die Kurzoption deaktiviert, um die zufällige Anwendung dieser Option zu vermeiden.

-w, --lightweight
    zeigt bei pgrep alle Thread-Kennungen anstelle der Prozess-Kennungen an. In pkill ist diese Option deaktiviert.

-x, --exact
    sucht nur nach passenden Prozessen, deren Namen (oder Befehlszeilen, falls -f angegeben ist) exakt dem Muster entsprechen.

-F, --pidfile Datei
    liest die Prozesskennungen aus einer Datei. Diese Option ist wahrscheinlich eher für pkill als für pgrep sinnvoll.

-L, --logpidfile
    schlägt fehl, wenn die PID-Datei (siehe -F) nicht gesperrt ist.

--ns PID
    sucht nach passenden Prozessen, die zu den gleichen Namensräumen gehören. Um Prozesse anderer Benutzer zu finden, sind Root-Rechte erforderlich. In --nslist finden Sie Informationen, wie Sie die Übereinstimmungen im Zusammenhang mit Namensräumen begrenzen können.

--nslist Name, …
    sucht nur in den angegebenen Namensräumen nach Übereinstimmungen. Verfügbare Namensräume: ipc, mnt, net, pid, user, uts.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

OPERANDEN

Muster
    gibt einen erweiterten regulären Ausdruck für die Übereinstimmungen von Prozessnamen oder Befehlszeilen an.

BEISPIELE
Beispiel 1: Prozesskennung des named-Daemons suchen:

    $ pgrep -u root named

Beispiel 2: syslog veranlassen, seine Konfigurationsdatei neu einzulesen:

    $ pkill -HUP syslogd

Beispiel 3: Detaillierte Informationen zu allen xterm-Prozessen ausgeben:

    $ ps -fp $(pgrep -d, -x xterm)

Beispiel 4: Den Nice-Wert für alle chrome-Prozesse erhöhen:

    $ renice +4 $(pgrep chrome)

EXIT-STATUS
0   Einer oder mehrere Prozesse entsprechen dem Kriterium. Für pkill muss auch ein Signal erfolgreich an den Prozess gesendet worden sein.
1   Es wurden keine passenden Prozesse gefunden oder an keine von ihnen konnte ein Signal gesendet werden.
2   Syntaxfehler in der Befehlszeile.
3   Schwerwiegender Fehler: Speicher ausgeschöpft usw.

ANMERKUNGEN
Der für die Suche verwendete Prozessname ist auf die 15 Zeichen in der Ausgabe von /proc/Prozesskennung/stat beschränkt. Verwenden Sie die Option -f, um stattdessen Übereinstimmungen in der gesamten Befehlszeile (/proc/Prozesskennung/cmdline) zu suchen.

Die laufenden pgrep- oder pkill-Prozesse werden niemals selbst als Treffer gemeldet.

FEHLER
Die Optionen -n, -o und -v können nicht kombiniert werden. Bitte informieren Sie die Entwickler, falls das für Ihre Zwecke nötig sein sollte.

Bereits beendete Prozesse werden gemeldet.

SIEHE AUCH
ps(1), regex(7), signal(7), killall(1), skill(1), kill(1), kill(2)

AUTOR
Kjetil Torgrim Homme (kjetilho@ifi.uio.no)

FEHLER MELDEN
Bitte schicken Sie Fehlerberichte (auf Englisch) an procps@freelists.org

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.